/*
 * File Nmame  : index.js
 * Author     : Kochava
 * Description : This file will explain how to call the plugin from any JS File.
 */

var app = {
    // Application Constructor
    initialize: function() {
       
        this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicitly call 'app.receivedEvent(...);'
    onDeviceReady: function() {
        document.addEventListener('attribution-notification', function(event) {
                                  alert(event.notification);
                                  console.log('RECEIVED NOTIFICATION! Attibution-notification! ' + event);
                                  app.myLog.value+=JSON.stringify(['\Attribution notification received!', event]);
                                  
                                  
                                  });
          },
   
};

app.initialize();
